#ifndef __plugin_h
#define __plugin_h

#include <windef.h>

struct winamp_gpp {
    int version;			// version of the plugin structure
    char* description;		// name/title of the plugin 
    int(*init)();			// function which will be executed on init event
    void(*conf)();			// function which will be executed on config event
    void(*quit)();			// function which will be executed on quit event
    HWND hwndParent;		// hwnd of the Winamp client main window (stored by Winamp when dll is loaded)
    HINSTANCE hDllInstance;	// hinstance of this plugin DLL. (stored by Winamp when dll is loaded) 
};

extern struct winamp_gpp g_plugin; // plugin.c

void update_rich_presence_details(void);

#endif // __plugin_h
